/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * File: AuthorizationException.java
 *         
 * Authors: Gavin McCance <gavin.mccance@cern.ch>
 *
 * Version info: $Id: AuthorizationException.java,v 1.5 2008/03/17 13:45:37 knienart Exp $
 * Release: $Name:  $
 *
 * Revision history:
 * $Log: AuthorizationException.java,v $
 * Revision 1.5  2008/03/17 13:45:37  knienart
 * 3.4 additions - targetDirCheck and urlCopyFirstTxmarkTo added
 *
 * Revision 1.4  2005/02/07 16:40:33  szamsu
 * merging back from RC1
 *
 * Revision 1.3  2004/09/15 10:18:57  mccance
 * modified exception hadling to work with c/c++ clients.
 *
 * Revision 1.2  2004/08/31 08:35:56  mccance
 * Exception n9o longer inherit. Problems with serialization. Getters and Setters removed on all methods - they interfere with the autogenerated setters and getters
 *
 * Revision 1.1  2004/08/06 09:11:16  mccance
 * Added explicit exception names. Reformated some code.
 *
 *
 */

package org.glite.data.transfer;

/**
 * Indicates that the client is not authorized upon the service.
 */
public class AuthorizationException extends TransferException {
}
