/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.glite.data.transfer;

import java.util.Calendar;

public class TransferAgent {

	/**
	 * The agent's name.
	 */
	public String name;
	
	/**
	 * The agent's Distinguished Name (DN).
	 */
	public String DN;
	
	/**
	 * The host the agent is running in.
	 */
	public String host;
	
	/**
	 * The agent's type. This can be:
	 * 	- 'channel'
	 *  - 'fps' -> vo agent
	 *  - 'fts' -> vo agent
	 */
	public String type;
	
	/**
	 * The last time the agent explicitly stated it is alive.
	 */
	public Calendar lastActive;
	
	/**
	 * The last known state of the agent.
	 */
	public String state;
	
	/**
	 * The agent's version.
	 */
	public String version;
	
	/**
	 * A contact to a person responsible for the agent. 
	 */
	public String contact;
	
}
