/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * File: TransferJob2.java
 *         
 * Authors: 
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Gavin McCance <gavin.mccance@cern.ch>
 *
 */

package org.glite.data.transfer;

/**
 * Describes the transfer job description. It consists of an array of
 * TransferJobElements each describing an individual file transfer within the
 * job. jobParams are a set of transfer layer specific paramaters tha tare
 * applied to each file transfer (e.g. gridFTP params); this is for future
 * use and is not currently taken into account. The credential is used by the
 * transfer system to retrieve the appropriate proxy for the transfer.
 */
public class TransferJob2 {

    public TransferJobElement2[] transferJobElements;

    public TransferParams jobParams;

    public String credential;

}
