/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * File: TransferJobElement.java
 *         
 * Authors: Gavin McCance <gavin.mccance@cern.ch>
 *
 * Version info: $Id: TransferJobElement.java,v 1.9 2008/03/17 13:45:37 knienart Exp $
 * Release: $Name:  $
 *
 * Revision history:
 * $Log: TransferJobElement.java,v $
 * Revision 1.9  2008/03/17 13:45:37  knienart
 * 3.4 additions - targetDirCheck and urlCopyFirstTxmarkTo added
 *
 * Revision 1.8  2005/07/22 08:55:39  rbritoda
 * updates on documentation. removed not necessary classes in the interface. removed TransferFetcher interface. added setJobPriority method to the FileTransfer/Placement interface.
 *
 * Revision 1.7  2005/02/21 09:10:02  mccance
 * Interface version 2.4.0.
 *  - updated docu.
 *  - added credential to TransferJob for myproxy passwd.
 *
 * Revision 1.6  2005/02/18 16:10:56  mccance
 * Individual file Transfer params removed from interface.
 *
 * Revision 1.5  2005/02/07 16:40:33  szamsu
 * merging back from RC1
 *
 * Revision 1.4  2004/08/31 08:35:56  mccance
 * Exception n9o longer inherit. Problems with serialization. Getters and Setters removed on all methods - they interfere with the autogenerated setters and getters
 *
 * Revision 1.3  2004/08/20 08:14:10  mccance
 * updated interfaces to match comments received. Removed start. Expanded explanations.
 *
 * Revision 1.2  2004/07/30 14:37:23  mccance
 * beautify the javadoc.
 *
 * Revision 1.1  2004/07/29 15:32:13  mccance
 * refactored interfaces:
 * filetransfer: internal
 * datascheduler: added, external, matching to LCG
 * fileplacement: extra, same interface as scheduler.
 *
 *
 */

package org.glite.data.transfer;

/**
 * This describes a single file transfer within a job.
 */
public class TransferJobElement {

	/**
	 * The source file of the transfer.
	 */
    public String source;

    /**
     * The destination file of the transfer.
     */
    public String dest;

}
