/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * File: TransferJobElement2.java
 *         
 * Authors: 
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Gavin McCance <gavin.mccance@cern.ch>
 */

package org.glite.data.transfer;

/**
 * This describes a single file transfer within a job.
 */
public class TransferJobElement2 {

	/**
	 * The source file of the transfer.
	 */
    public String source;

    /**
     * The destination file of the transfer.
     */
    public String dest;

    /**
     * The optional checksum of the file to be transferred.
     */
    public String checksum;

}
