/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.glite.data.transfer;

import java.util.Calendar;

public class TransferSnapshot {

	/**
	 * The time when this snapshot was taken.
	 */
	public Calendar time;

	/** Job states */
	public int numSubmittedJobs;
	
	public int numPendingJobs;
	
	public int numActiveJobs;
	
	public int numDoneJobs;
	
	public int numHoldJobs;
	
	public int numFailedJobs;
	
	public int numCanceledJobs;
	
	public int numCancelingJobs;
	
	public int numFinishedDirtyJobs;
	
	public int numFinishedJobs;
	
	/** File states */
	public int numSubmittedFiles;
	
	public int numPendingFiles;
	
	public int numActiveFiles;
	
	public int numDoneFiles;
	
	public int numWaitingFiles;
	
	public int numHoldFiles;
	
	public int numCancelingFiles;
	
	public int numCanceledFiles;
	
	public int numFailedFiles;
	
	public int numFinishedFiles;
	
	public int numCatalogFailedFiles;
}
