/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.glite.data.transfer;


/**
 * Summary of existing job on the server.
 */
public class JobStatus {
	
	/**
	 * The ID of the job the information refers to.
	 */
    public String jobID;
    
    /**
     * Current status of the job.
     */
    public String jobStatus;
    
    /**
     * The name of the channel the job was assigned to (null if no channel assigned).
     */
    public String channelName;
    
    /**
     * Distinguished Name (DN) of client owning job.
     */
    public String clientDN;
    
    /**
     * Small reason reporting problems while processing the job.
     */
    public String reason;
    
    /**
     * Name of VO owning job.
     */
    public String voName;
    
    /**
     * Time of submission.
     */
    public long submitTime;
    
    /**
     * Number of files (transfers) that are part of the job.
     */
    public int numFiles;
    
    /**
     * Job priority on the server.
     */
    public int priority;
}
