/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.glite.data.transfer;


/**
 * Roles definitions.
 */
public class Roles {
    /** 
     * The DN of the client owning these roles.
     */
    public String clientDN;

    /**
     * Null if the client is not a service admin. Holds the
     * principal giving it this role otherwise.
     */
    public String serviceAdmin;
    
    /**
     * Null if the client does not have submit privileges. Holds the
     * principal giving it this role otherwise.
     */
    public String submitter;
    
    /**
     * Holds a list of pairs VOName/principal, where the 
     * VOName holds the name of a VO for which the client is
     * a manager, and the principal holds the principal that
     * gives this role to the client (VOMS role or DN).
     */
    public StringPair[] VOManager;

    /**
     * Holds a list of pairs channelName/principal, where the 
     * channelName holds the name of a channel for which the client is
     * a manager, and the principal holds the principal that
     * gives this role to the client (VOMS role or DN).
     */
    public StringPair[] channelManager;

}
