/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * File: TransferParams.java
 *         
 * Authors: Gavin McCance <gavin.mccance@cern.ch>
 *
 * Version info: $Id: TransferParams.java,v 1.6 2008/03/17 13:45:37 knienart Exp $
 * Release: $Name:  $
 *
 * Revision history:
 * $Log: TransferParams.java,v $
 * Revision 1.6  2008/03/17 13:45:37  knienart
 * 3.4 additions - targetDirCheck and urlCopyFirstTxmarkTo added
 *
 * Revision 1.5  2005/02/07 16:40:33  szamsu
 * merging back from RC1
 *
 * Revision 1.4  2004/08/26 09:18:40  mccance
 * remove setters, getters and other method to fix serialization problem
 *
 * Revision 1.3  2004/08/26 08:58:37  mccance
 * added more exceptions to filetransfer. added getter/seters on transferparams
 *
 * Revision 1.2  2004/08/06 09:11:16  mccance
 * Added explicit exception names. Reformated some code.
 *
 * Revision 1.1  2004/07/29 15:32:13  mccance
 * refactored interfaces:
 * filetransfer: internal
 * datascheduler: added, external, matching to LCG
 * fileplacement: extra, same interface as scheduler.
 *
 * Revision 1.1  2004/07/26 11:36:14  mccance
 * Outstanding schoolboy error.. fixed xross module screw up as a result of cp -r with CVS directories...
 *
 * Revision 1.1  2004/07/26 09:50:44  mccance
 * Refactoring interface out of org.glite.data.transfer.
 * Interface updated as a result of discussion with LCG.
 *
 *
 */

package org.glite.data.transfer;

/**
 * A set of key-value pairs to be used as hints for the transport.
 * (e.g. GridFTP paramaters.)
 */
public class TransferParams {

    /**
     * The paramater keys.
     */
    public String[] keys;

    /**
     * The parameter values.
     */
    public String values[];

}
